package types

var (
	Any        = &Base{name: "Any", size: 0}
	AnyArray   = &Array{Of: Any}
	AnyPointer = &Pointer{To: Any}
	Int64      = &Base{name: "Int64", size: 8}
	Int32      = &Base{name: "Int32", size: 4}
	Int16      = &Base{name: "Int16", size: 2}
	Int8       = &Base{name: "Int8", size: 1}
	Float64    = &Base{name: "Float64", size: 8}
	Float32    = &Base{name: "Float32", size: 4}
)

var (
	Int   = Int64
	Float = Float64
)
